classification
Title: tkinter doc: more 3.x updates
Type: Stage: needs patch
Components: Documentation, Tkinter Versions: Python 3.1, Python 3.2
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: asvetlov Nosy List: Ramchandra Apte, asvetlov, docs@python, eric.araujo, ezio.melotti, ned.deily, serhiy.storchaka, terry.reedy
Priority: normal Keywords:

Created on 2009-10-04 22:59 by terry.reedy, last changed 2019-03-15 23:13 by BreamoreBoy.

Files
File name Uploaded Description Edit
issue7057.diff ezio.melotti, 2009-10-15 04:18 Fix for markup errors, typos, and similar things. review
Messages (10)
msg93564 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-10-04 22:59
The transition from Tkinter/tkinter to tkinter/_tkinker in 3.x docs is
incomplete.

1. There are several places not in titles or beginning of sentences
where Tkinter (roman type) needs to be replaced with tkinter (fixed
type, as elsewhere).

2. "24.1.1. Tkinter Modules
Most of the time, the tkinter is all" <<delete 'the' before tkinter>>

24.1.6.4. Coupling Widget Variables
 "from a class called Variable, defined in the tkinter." ditto

3. 24.1.5. How Tk and Tkinter are Related
"tkinter (C) 
These commands and their arguments will be passed to a C function in the
tkinter - note the lowercase - extension module"
Change 'tkinter' to '_tkinter' and 'lowercase' to 'underscore'.

"Xlib (C) 
the Xlib library to draw graphics on the screen. "

Is this still true? Or does Tk now use native libraries?

Not 3.x specific.

10. "Specifically, the man pages in the mann directory are most useful."
Is 'mann' literally correct? a typo? or meant to mean 'man#', where # is
a digit? If the last, either man# or mann with the last 'n' a different
font would be clearer to me.

This is, of course, *nix specific.

11. "Credits:
Tkinter was written by Steen Lumholt and Guido van Rossum. 
Tk was written by John Ousterhout while at Berkeley. "
Except for the first two lines, the entries are in historical order, so
I would reverse the first two.
 
12. 24.1.6.6. Tk Option Data Types
"To specify an X bitmap filename, give the full path to the file,
preceded with an @, as in "@/usr/contrib/bitmap/gumby.bit"."
*nix only? what about windows .bmp file?

13. (ttk section) 24.2.3.1. Standard Options
"0, 1 or an empty is return." => "0, 1 or an empty string is returned."


PS. I like the colors of the option-description tables.
msg93610 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-10-05 17:15
A somewhat separate issue is the lack of even a mention of the existence
of the Canvas widget, which would merit a separate subsection if
documented. I think it should at least be mentioned with a reference to
the online reference materials listed before.

Indeed, the tkinter reference should somewhere have a complete list of
widgets, just like the ttk section does

24.2.2. Ttk Widgets¶

Ttk comes with 17 widgets, eleven of which already existed in tkinter:
Button, Checkbutton, Entry, Frame, Label, LabelFrame, Menubutton,
PanedWindow, Radiobutton, Scale and Scrollbar. The other six are new:
Combobox, Notebook, Progressbar, Separator, Sizegrip and Treeview. And
all them are subclasses of Widget.
msg93619 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-10-05 20:35
This "The authors strongly suggest getting a copy of the Tk man pages. "
should be followed by a mention that they are available at the active
state site, in particular, at http://www.tcl.tk/man/tcl8.5/
msg94072 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-10-15 04:18
Here is an incomplete patch. I fixed all the markup errors, typos and
similar issues you mentioned and a few more that I noticed.

Someone that knows Tkinter better than me should take care of the
remaining issues, i.e.:
 * is Xlib still used?
 * bmp files on Windows
 * the section about Canvas

3.x specific issues:

1. In most of the places I think it's OK to use 'Tkinter' and use
:mod:`tkinter` only when referring specifically to the module. I also
fixed other :mod:`Tkinter` around in the Doc.

2. Both fixed.

3. Fixed. I also changed *tkinter* to :mod:`tkinter`. I don't know about
Xlib.

Not 3.x specific:

> 10. "Specifically, the man pages in the mann directory are most 
> useful."
> Is 'mann' literally correct? a typo? or meant to mean 'man#', where # 
> is a digit?

I used 'manN' and added the link you provided (even if right now the
site seems down so I can't verify if it's correct).

> 11. "Credits:
> Tkinter was written by Steen Lumholt and Guido van Rossum. 
> Tk was written by John Ousterhout while at Berkeley. "
> Except for the first two lines, the entries are in historical order, 
> so I would reverse the first two.
 
Done.

> 12. 24.1.6.6. Tk Option Data Types
> "To specify an X bitmap filename, give the full path to the file,
> preceded with an @, as in "@/usr/contrib/bitmap/gumby.bit"."
> *nix only? what about windows .bmp file?

Does someone know the answer?

> 13. (ttk section) 24.2.3.1. Standard Options
> "0, 1 or an empty is return." => "0, 1 or an empty string is 
> returned."

Fixed.

> PS. I like the colors of the option-description tables.

Thank Raymond for them.
msg101049 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-03-14 10:00
Since there's no activity on this issue I committed the patch in r78950 (py3k) and r78951 (release31-maint).
I'm leaving the issue open and assigning it to Guilherme because there are still a few thing missing (see previous message).
msg126053 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-01-11 23:50
> I used 'manN'
FYI, there is a :file:`man{n}` construct where braces mark up replaceable text, like the var element in HTML.
msg157642 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-04-06 04:52
"Tkinter uses the Xlib library to draw graphics on the screen" should be "Tkinter uses the Xlib library on Linux to draw graphics on the screen"
msg157644 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-04-06 05:31
The use of Xlib is not limited to Linux; most Unix-y platforms supported by Python have Xlib-based Tk versions available.  But it is correct that there are Tk implementations that do not use X11 as their window server, for example, the native Tk implementations on Windows and Mac OS X.
msg185722 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-04-01 07:57
I just noticed that the changes committed earlier for this issue added a reference to the Tcl/Tk 8.6 man pages.  Since there are known problems with using 8.6 with tkinter (for example, Issue16809) and we don't currently ship 8.6 with any of our binary installers, it would be better to reference the 8.5 man pages until the status of 8.6 support is resolved.
msg220453 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-13 15:26
The default build (on Windows anyway)is using tcl/tk 8.6 so I believe that we can take this forward now.
History
Date User Action Args
2019-03-15 23:13:01BreamoreBoysetnosy: - BreamoreBoy
2014-06-13 16:16:12terry.reedysetnosy: + serhiy.storchaka, - gpolo
2014-06-13 15:26:31BreamoreBoysetnosy: + BreamoreBoy
messages: + msg220453
2013-04-01 07:57:55ned.deilysetmessages: + msg185722
2012-04-06 05:31:24ned.deilysetnosy: + ned.deily
messages: + msg157644
2012-04-06 04:52:40Ramchandra Aptesetnosy: + Ramchandra Apte
messages: + msg157642
2012-04-05 20:50:14asvetlovsetassignee: gpolo -> asvetlov
2012-03-21 17:11:14asvetlovsetnosy: + asvetlov
2011-01-11 23:50:01eric.araujosetnosy: + eric.araujo, docs@python, - georg.brandl
messages: + msg126053
2010-03-14 10:00:19ezio.melottisetkeywords: - patch, needs review
assignee: ezio.melotti -> gpolo
messages: + msg101049

stage: patch review -> needs patch
2010-02-23 06:27:12ezio.melottisetkeywords: + needs review
stage: patch review
2009-10-19 19:39:24ezio.melottisetnosy: + gpolo
components: + Tkinter
2009-10-15 04:18:38ezio.melottisetkeywords: + patch
files: + issue7057.diff
messages: + msg94072
2009-10-05 20:35:53terry.reedysetmessages: + msg93619
2009-10-05 17:15:20terry.reedysetmessages: + msg93610
2009-10-04 23:19:49ezio.melottisetpriority: normal
assignee: georg.brandl -> ezio.melotti

nosy: + ezio.melotti
2009-10-04 22:59:27terry.reedycreate